<?php 
/**
	Template Name: Blog with Infinite Scroll
*/
?>
<?php get_header(); ?>
	<div id="primary" class="content-area infinite-scrolled-blog">
		<div id="content" class="site-content">
			<?php $args = array( 'post_type' => 'post', 'posts_per_page' => 6, 'paged' => get_query_var( 'paged' ) ); ?>
			<?php $wp_query = new WP_Query( $args ); ?>					
			<?php while( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
				<?php /* Include the Post-Format-specific template for the content.*/ 
					get_template_part( 'content', get_post_format() );						
				?>
			<?php endwhile; ?>
			
			<?php wp_reset_postdata(); ?>
			
		</div><!-- end of #content .site-content -->
		<?php tuned_content_nav( 'nav-below' ); ?>	
	</div><!-- end of #primary .content-area -->
<?php get_sidebar(); ?>

<?php get_footer(); ?>

<script type="text/javascript">
//Infinite Scroll with Masonry
jQuery(function(){

	var $container = jQuery('#content');
    jQuery("#content .post").css({ "max-width": "100%" });
	
	$container.imagesLoaded(function(){
		$container.masonry({
			itemSelector: '.post',
			isAnimated: true,
			columnWidth: function(containerWidth) {
				if($container.width() < 519 ) {
					return containerWidth;						
				}else{
					return containerWidth / 3;
				}
			}
		});
    });

	$container.infinitescroll({
		loading: {
			img: "<?php echo get_template_directory_uri(); ?>/js/vendor/infinite-scroll/ajax-loader.gif",
			msgText: "<?php _e( 'Loading...', 'tuned' ); ?>",
			finishedMsg: "<?php _e( 'All posts loaded.', 'tuned' ); ?>"
		},
		navSelector  	: "#nav-below",
		nextSelector 	: "#nav-below .nav-previous a",
		itemSelector 	: ".post"
	},
		function( newElements ) {
			var $newElems = jQuery( newElements ).css({ opacity: 0, "max-width" : "100%" });
			
			$newElems.imagesLoaded(function(){         
				$newElems.animate({ opacity: 1 });
				$container.masonry( 'appended', $newElems, true ); 
			});
		}
	);		

 });
</script>